
QGIS Application - Bug report #11694

Cannot select second layer when Join attributes table is used in Modeler

2014-11-19 02:02 PM - Anita Graser

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19938

Description

As you can see in the screenshot, the input field for the second layer does not provide the necessary dropdown list with available layers to

chose from:

Related issues:

Related to QGIS Application - Bug report # 11666: Processing graphical modele... Rejected 2014-11-17

Associated revisions

Revision 810cb3fb - 2014-11-21 07:22 AM - Victor Olaya

[processing] fixed handling of tables in models

Fixes #11694

History
#1 - 2014-11-19 02:03 PM - Anita Graser

- File join.png added

#2 - 2014-11-19 02:03 PM - Anita Graser

- Subject changed from Cannot select second layer when Join attributes tables is used in Modeler to Cannot select second layer when Join attributes 

table is used in Modeler

#3 - 2014-11-19 02:09 PM - Anita Graser

Changing line 52 in JoinAttributes.py seems to fix it:

        self.addParameter(ParameterVector(self.INPUT_LAYER_2, 'Input layer 2',

                          [ParameterVector.VECTOR_TYPE_ANY], False))

#4 - 2014-11-20 02:58 AM - Giovanni Manghi

Anita Graser wrote:

Changing line 52 in JoinAttributes.py seems to fix it:

[...]

better propose a PR with a patch then, cheers!

#5 - 2014-11-20 03:15 AM - Anita Graser

It would basically revert https://github.com/qgis/QGIS/pull/1498/files

Seems like the underlying issue is that ParameterTable does not equal ParameterVector + tabular data?

I would really like the main developers to shed some light on this issue.

#6 - 2014-11-20 10:23 PM - Victor Olaya

Fixed

#7 - 2014-11-21 12:10 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"810cb3fb999d9fdd6c1d6fe7b353ab83ce85b17c".
